org.apache.ignite.internal.visor.node

## Class VisorBinaryTypeConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorBinaryTypeConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBinaryTypeConfiguration
    extends VisorDataTransferObject

Data transfer object for configuration of binary type structures.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorBinaryTypeConfiguration()` Default constructor.
`VisorBinaryTypeConfiguration(BinaryTypeConfiguration src)` Create data transfer object for binary type configuration.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getIdMapper()`
`String` `getNameMapper()`
`String` `getSerializer()`
`String` `getTypeName()`
`boolean` `isEnum()`
`static List<VisorBinaryTypeConfiguration>` `list(Collection<BinaryTypeConfiguration> cfgs)` Construct data transfer object for Executor configurations properties.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBinaryTypeConfiguration

    public VisorBinaryTypeConfiguration()

Default constructor.

#### VisorBinaryTypeConfiguration

    public VisorBinaryTypeConfiguration(BinaryTypeConfiguration src)

Create data transfer object for binary type configuration.

Parameters:
  `src` - Binary type configuration.

### Method Detail

#### list

    public static List<VisorBinaryTypeConfiguration> list(Collection<BinaryTypeConfiguration> cfgs)

Construct data transfer object for Executor configurations properties.

Parameters:
  `cfgs` - Executor configurations.
Returns:
  Executor configurations properties.

#### getTypeName

    public String getTypeName()

Returns:
  Class name.

#### getIdMapper

    public String getIdMapper()

Returns:
  ID mapper.

#### getNameMapper

    public String getNameMapper()

Returns:
  Name mapper.

#### getSerializer

    public String getSerializer()

Returns:
  Serializer.

#### isEnum

    public boolean isEnum()

Returns:
  Enum flag.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022